org.eclipse.wst.jsdt.core.search

## Class TypeReferenceMatch

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.SearchMatch
  - - org.eclipse.wst.jsdt.core.search.TypeReferenceMatch

    public class TypeReferenceMatch
    extends SearchMatch

A JavaScript search match that represents a type reference. The element is the inner-most enclosing member that references this type.

This class is intended to be instantiated and subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

### Constructor Summary

Constructors
Constructor and Description
`TypeReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new type reference match.

### Method Summary

All Methods Instance Methods Concrete Methods
`IJavaScriptElement` `getLocalElement()` Returns the local element of this search match.
`IJavaScriptElement[]` `getOtherElements()` Returns other enclosing elements of this search match.
`void` `setLocalElement(IJavaScriptElement localElement)` Sets the local element of this search match.
`void` `setOtherElements(IJavaScriptElement[] otherElements)` Sets the other elements of this search match.

### Methods inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeReferenceMatch

    public TypeReferenceMatch(IJavaScriptElement enclosingElement,
                              int accuracy,
                              int offset,
                              int length,
                              boolean insideDocComment,
                              SearchParticipant participant,
                              IResource resource)

Creates a new type reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this type
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

### Method Detail

#### getLocalElement

    public final IJavaScriptElement getLocalElement()

Returns the local element of this search match. This may be a local variable which declaring type is the referenced one or a type parameter which extends it.

Returns:
  the element of the search match, or `null` if none or there's no more specific local element than the element itself (`SearchMatch.getElement()`).

#### getOtherElements

    public final IJavaScriptElement[] getOtherElements()

Returns other enclosing elements of this search match. If `getLocalElement()` is not `null`, these may be other local elements such as additional local variables of a multiple local variables declaration. Otherwise, these may be other elements such as additional fields of a multiple fields declaration.

Returns:
  the other elements of the search match, or `null` if none

#### setLocalElement

    public final void setLocalElement(IJavaScriptElement localElement)

Sets the local element of this search match.

Parameters:
  `localElement` - A more specific local element that corresponds to the match, or `null` if none

#### setOtherElements

    public final void setOtherElements(IJavaScriptElement[] otherElements)

Sets the other elements of this search match.

Parameters:
  `otherElements` - the other elements of the match, or `null` if none